Package org.apache.tapestry5.services.javascript

# Enum JavaScriptAggregationStrategy

java.lang.Object
java.lang.Enum<JavaScriptAggregationStrategy>
org.apache.tapestry5.services.javascript.JavaScriptAggregationStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<JavaScriptAggregationStrategy>`, `java.lang.constant.Constable`

public enum JavaScriptAggregationStrategy extends Enum<JavaScriptAggregationStrategy>
Used with `JavaScriptStack` to identify how libraries and modules within the stack can be aggregated.

Since:
  5.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMBINE_AND_MINIMIZE`
  The default strategy is to combine all the assets and minimize them together.
  `COMBINE_ONLY`
  Alternately, the assets can be combined, but not minimized (because some resources do not support minimization).
  `DO_NOTHING`
  The assets are not combined or minimized at all.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `enablesCombine()`
  `boolean`
  `enablesMinimize()`
  `static JavaScriptAggregationStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static JavaScriptAggregationStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMBINE_AND_MINIMIZE

    public static final JavaScriptAggregationStrategy COMBINE_AND_MINIMIZE
    The default strategy is to combine all the assets and minimize them together.

  - ### COMBINE_ONLY

    public static final JavaScriptAggregationStrategy COMBINE_ONLY
    Alternately, the assets can be combined, but not minimized (because some resources do not support minimization).

  - ### DO_NOTHING

    public static final JavaScriptAggregationStrategy DO_NOTHING
    The assets are not combined or minimized at all.

- ## Method Details

  - ### values

    public static JavaScriptAggregationStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static JavaScriptAggregationStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### enablesCombine

    public boolean enablesCombine()

  - ### enablesMinimize

    public boolean enablesMinimize()